## pyudev 0.8

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyudev.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyudev.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyudev"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyudev"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyudev (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #612663)

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Feb 2011 20:16:20 +0100

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8),
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Standards-Version: 3.9.1
Homepage: http://packages.python.org/pyudev/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyudev/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyudev/trunk/

Package: python-pyudev
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libudev0 (>= 151)
Suggests: python-gobject, python-qt4, python-pyside.qtcore
Breaks: ${python:Breaks}
Description: Python bindings for libudev
 This module provides a Python binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev0 (>= 151)
Breaks: ${python3:Breaks}
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/python-pyudev; \
	done
	for pyvers in $(shell py3versions -sv); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/python3-pyudev; \
	done

## pyudev 0.12

=== tests/Makefile ===
include bindings/bindings.mk

QT_MODULES = QtCore

$(call enable-bindings,pyqt pyside pygobject)

bindings = pyqt pygobject
ifeq ($(PYTHON_MAJOR),2)
bindings += pyside
endif

.PHONY: bindings
bindings : $(bindings)

=== debian/changelog ===
pyudev (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 03 Sep 2011 19:45:53 +0200

pyudev (0.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add DM-Upload-Allowed: yes.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 14 Jul 2011 10:31:51 +0200

pyudev (0.10-1) unstable; urgency=low

  * Team upload

  [ Felix Geyer ]
  * Guard loops over supported python versions with set -e.
  * Install upstream changelog.

  [ Scott Kitterman ]
  * New upstream release
  * Add libudev0 (>= 151) to build-depends to support tests
  * Drop ${python:Breaks} and ${python3:Breaks}, not used by dh_python2/3

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Apr 2011 22:18:46 -0400

## pyudev 0.13

=== tests/Makefile ===
include buildbindings/bindings.mk

QT_MODULES = QtCore

$(call enable-bindings,pyqt pyside pygobject)

.PHONY: bindings
bindings : pyqt pyside pygobject

=== tests/requirements.txt ===
pytest>=2.0.2
mock>=0.7

=== debian/changelog ===
pyudev (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 03 Dec 2011 16:06:34 +0100

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8),
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               libudev0 (>= 151)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Standards-Version: 3.9.2
Homepage: http://packages.python.org/pyudev/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyudev/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyudev/trunk/

Package: python-pyudev
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libudev0 (>= 151)
Suggests: python-gobject, python-qt4, python-pyside.qtcore
Description: Python bindings for libudev
 This module provides a Python binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev0 (>= 151)
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/python-pyudev; \
	done
	
	set -e && for pyvers in $(shell py3versions -sv); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/python3-pyudev; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## pyudev 0.16.1

=== requirements.txt ===
# unit test requirements
pytest>=2.2
mock>=1.0b1

# documentation requirements
sphinx>=1.0.7
sphinxcontrib-issuetracker>=0.9

=== debian/changelog ===
pyudev (0.16.1-3) unstable; urgency=medium

  * Update the watch file.
  * Fix unsafe library loading. (Closes: #722573)
    - Add libudev_loading.diff
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Build-depend on dh-python.
  * Switch to debhelper compat level 9.
  * Add autopkgtests.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 26 Jun 2015 19:46:32 +0200

pyudev (0.16.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Luk Claes ]
  * Upload to unstable as 0.16 copes with udev 183 and higher 
    (Closes: #722570).

 -- Felix Geyer <fgeyer@debian.org>  Mon, 16 Sep 2013 19:41:40 +0200

pyudev (0.16.1-1) experimental; urgency=low

  * New upstream release.
    - Require at least python 3.1.
  * Switch to my @debian.org email address.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Update Homepage field.
  * Fix FTBFS if built twice in a row. (Closes: #671218)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 25 Oct 2012 16:41:07 +0200

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               dh-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
Standards-Version: 3.9.6
Homepage: http://pyudev.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyudev/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyudev/trunk/

Package: python-pyudev
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libudev1
Suggests: python-gobject, python-qt4, python-pyside.qtcore
Description: Python bindings for libudev
 This module provides a Python binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev1
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

=== debian/tests/control ===
Test-Command: py.test tests/test_core.py
Depends: python-pyudev, python-pytest, python-mock

Test-Command: py.test-3 tests/test_core.py
Depends: python3-pyudev, python3-pytest, python3-mock

=== debian/watch ===
version=3
http://pypi.debian.net/pyudev/pyudev-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyudev 0.19.0

=== debian/changelog ===
pyudev (0.19.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Felix Geyer ]
  * New upstream release.
  * d/watch: Mangle upstream version so RCs are less than final releases.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 26 Apr 2016 20:58:21 +0200

=== debian/tests/control ===
Test-Command: py.test tests/test_core.py
Depends: python-pyudev, python-pytest, python-mock, python-hypothesis

Test-Command: py.test-3 tests/test_core.py
Depends: python3-pyudev, python3-pytest, python3-mock, python3-hypothesis

## pyudev 0.21.0

=== debian/changelog ===
pyudev (0.21.0-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix tests with recent hypothesis version.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2020 15:30:00 -0800

pyudev (0.21.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938293, #912966
  * Add hypothesis, mock, py, pytest, six to b-d, needed by tests
  * Dont fail tests during build, udev devices may not be available in chroots

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Dec 2019 11:44:47 -0500

pyudev (0.21.0-2ubuntu1) focal; urgency=medium

  * Fix tests with recent hypothesis version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Nov 2019 15:27:29 +0100

pyudev (0.21.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Felix Geyer ]
  * Backport upstream patches to fix compatbility with pytest 4.6.
    - Add Use_tool_pytest_instead_of_pytest.diff
    - Add tests_fix_tests_for_pytest_4.0.diff
    - Closes: #942179

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 Oct 2019 00:16:32 +0200

pyudev (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Run more tests.
  * Add isolation-machine restriction to autopkgtests.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 09 Sep 2016 23:35:21 +0200

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 9),
               python3-all,
               python3-hypothesis,
               python3-mock,
               python3-py,
               python3-pytest,
               python3-setuptools,
               python3-six,
               dh-python
Standards-Version: 3.9.6
Homepage: http://pyudev.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pyudev.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyudev

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev1
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_test:
	-dh_auto_test

=== debian/tests/control ===
Test-Command: py.test-3 tests/test_core.py tests/test_util.py
Depends: python3-pyudev, python3-pytest, python3-mock, python3-hypothesis
Restrictions: isolation-machine

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
  https://pypi.debian.net/pyudev/pyudev-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyudev 0.22.0

=== Makefile ===
# Copyright (C) 2012, 2013 Sebastian Wiesner <lunaryorn@gmail.com>

# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by the
# Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.

# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.

# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

.PHONY: upload-release
upload-release:
	python setup.py release register sdist upload

pylint:
	PYTHONPATH=src pylint src/pyudev \
		--reports=no \
		--disable=I \
		--disable=duplicate-code \
		--argument-rgx="[a-z_][a-z0-9_]{1,30}" \
		--exclude-protected=_libudev \
		--variable-rgx="[a-z_][a-z0-9_]{1,30}" \
		--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}"

pylint-tests:
	PYTHONPATH=src pylint tests \
		--reports=no \
		--disable=I \
		--disable=bad-continuation \
		--disable=duplicate-code \
		--disable=no-self-use \
		--argument-rgx="[a-z_][a-z0-9_]{1,30}" \
		--exclude-protected=_libudev \
		--no-docstring-rgx=_.* \
		--variable-rgx="[a-z_][a-z0-9_]{1,30}" \
		--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}"

diff-quality:
	- $(MAKE) pylint > pylint.log
	- $(MAKE) pylint-tests >> pylint.log
	diff-quality --violations=pylint pylint.log


PYREVERSE_OPTS = --output=pdf
view:
	-rm -Rf _pyreverse
	mkdir _pyreverse
	PYTHONPATH=src pyreverse ${PYREVERSE_OPTS} --project="pyudev" src/pyudev
	mv classes_pyudev.pdf _pyreverse
	mv packages_pyudev.pdf _pyreverse

archive:
	git archive --output=./archive.tar.gz HEAD

.PHONY: test-travis
test-travis:
	py.test --junitxml=tests.xml  -rfEsxX

.PHONY: fmt
fmt:
	yapf --style pep8 --recursive --in-place setup.py src tests

.PHONY: fmt-travis
fmt-travis:
	yapf --style pep8 --recursive --diff setup.py src tests

=== requirements.txt ===
# unit test requirements
docutils>=0.9
pytest>=2.8
mock>=1.0b1
hypothesis==4.11.7

# documentation requirements
sphinx>=1.0.7

# linting
pylint==1.9.4

yapf==0.21.0

=== debian/changelog ===
pyudev (0.22.0-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream commits fixing pyudev.glib module (Closes: #982946)
  * Recommends gir packages needed by pyudev.glib
  * Configure debian branch name in debian/gbp.conf

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Feb 2021 14:00:23 +0100

pyudev (0.22.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: use dh13.
  * d/control: update to Standards-Version 4.5.1. Add Rules-Requires-Root.
  * d/watch: update to v4 syntax.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Bastian Germann ]
  * d/watch: Do not search pre-releases
  * New upstream version 0.22.0
  * Ignore .egg-info
  * d/clean: Add .pytest_cache/
  * d/copyright: Convert to DEP-5
  * Drop outdated patches

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 17 Dec 2020 23:43:30 -0500

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-hypothesis,
               python3-mock,
               python3-py,
               python3-pytest,
               python3-setuptools,
               python3-six,
               dh-python
Standards-Version: 4.5.1
Homepage: https://pyudev.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyudev.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyudev
Rules-Requires-Root: no

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev1
Recommends: python3-gi, gir1.2-glib-2.0
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, PyQt4 and PySide.

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/" \
  https://pypi.debian.net/pyudev/pyudev-([\d\.]+)\.\
  (?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## pyudev 0.24.0

=== debian/changelog ===
pyudev (0.24.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream version 0.24.0
  * Drop patches that are now part of upstream release
  * Updating libudev_loading.diff to apply again
  * Fix lintian warning about python-version-declaration

  [ Daniel Andersson ]
  * Update long package description
  * Suggests GUI dependencies
  * Remove obsolete dependency six
  * Drop mock build-dep
  * Make Python version match setup.py
  * Annotate test build-deps

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Nov 2022 14:29:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,10 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                python3-all,
-               python3-hypothesis,
-               python3-mock,
-               python3-py,
-               python3-pytest,
+               python3-hypothesis <!nocheck>,
+               python3-py <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-six,
                dh-python
 Standards-Version: 4.5.1
 Homepage: https://pyudev.readthedocs.org/
@@ -22,7 +20,9 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, libudev1
 Recommends: python3-gi, gir1.2-glib-2.0
+Suggests: python3-wxgtk4.0, python3-pyqt5
 Description: Python3 bindings for libudev
  This module provides a Python3 binding to the udev library.
  .
- It supports additional integration for GObject, PyQt4 and PySide.
+ It supports additional integration for GObject, Qt4, Qt5, wxWidgets
+ and PySide.

## pyudev 0.24.3

=== debian/changelog ===
pyudev (0.24.3-3) unstable; urgency=medium

  * Team upload.
  * Drop python3-py build dependency

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 00:11:12 +0200

pyudev (0.24.3-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Drop Qt4 from long description
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it's the default now.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 00:18:09 +0200

pyudev (0.24.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update homepage field
  * Drop CHANGES.rst, no longer provided by upstream
  * debian/copyright: remove mention of removed tests

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Dec 2024 12:18:03 +0100

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.7.2
Homepage: http://github.com/pyudev/pyudev
Vcs-Git: https://salsa.debian.org/python-team/packages/pyudev.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyudev

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev1
Recommends: python3-gi, gir1.2-glib-2.0
Suggests: python3-wxgtk4.0, python3-pyqt5
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, Qt5, wxWidgets
 and PySide.

=== debian/tests/control ===
Test-Command: py.test-3 tests/test_core.py tests/test_util.py
Depends: python3-pyudev, python3-pytest, python3-hypothesis
Restrictions: isolation-machine

## pyudev 0.24.3+tests

=== Makefile ===
# Copyright (C) 2012, 2013 Sebastian Wiesner <lunaryorn@gmail.com>

# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by the
# Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.

# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
# for more details.

# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

package:
	(umask 0022; python -m build; python -m twine check --strict ./dist/*)

lint:
	pylint setup.py
	pylint src/pyudev/_os

PYREVERSE_OPTS = --output=pdf
view:
	-rm -Rf _pyreverse
	mkdir _pyreverse
	PYTHONPATH=src pyreverse ${PYREVERSE_OPTS} --project="pyudev" src/pyudev
	mv classes_pyudev.pdf _pyreverse
	mv packages_pyudev.pdf _pyreverse

archive:
	git archive --output=./archive.tar.gz HEAD

.PHONY: test-travis
test-travis:
	py.test --junitxml=tests.xml  -rfEsxX

.PHONY: fmt
fmt:
	isort setup.py src tests
	black .

.PHONY: fmt-travis
fmt-travis:
	isort --diff --check-only setup.py src tests
	black . --check

.PHONY: yamllint
yamllint:
	yamllint --strict .github/workflows/*.yml

=== debian/changelog ===
pyudev (0.24.3+tests-0ubuntu1) plucky; urgency=medium

  * Switch orig tar-ball source to GitHub instead of PyPI to include the
    full test suite (LP: #2096544)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 23 Jan 2025 19:12:27 +0000

=== debian/control ===
Source: pyudev
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-py <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               dh-python
Standards-Version: 4.6.2
Homepage: http://github.com/pyudev/pyudev
Vcs-Git: https://salsa.debian.org/python-team/packages/pyudev.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyudev
Rules-Requires-Root: no

Package: python3-pyudev
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libudev1
Recommends: python3-gi, gir1.2-glib-2.0
Suggests: python3-wxgtk4.0, python3-pyqt5
Description: Python3 bindings for libudev
 This module provides a Python3 binding to the udev library.
 .
 It supports additional integration for GObject, Qt4, Qt5, wxWidgets
 and PySide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts=filenamemangle=s%.+/v@ANY_VERSION@\.tar\.gz%@PACKAGE@_$1\.orig\.tar\.gz% \
  https://github.com/pyudev/@PACKAGE@/tags .*/v@ANY_VERSION@\.tar\.gz

## pyudev 0.24.4

=== debian/changelog ===
pyudev (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refreshed debian/patches/libudev_loading.diff.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 23:58:29 +0100

=== debian/tests/control ===
Test-Command: pytest tests/test_core.py tests/test_util.py
Depends: python3-pyudev, python3-pytest, python3-hypothesis
Restrictions: isolation-machine
